com.google.gwt.typedarrays.server

## Class Uint8ClampedArrayImpl

- java.lang.Object
- - com.google.gwt.typedarrays.server.ArrayBufferViewImpl
  - - com.google.gwt.typedarrays.server.Uint8ArrayImpl
    - - com.google.gwt.typedarrays.server.Uint8ClampedArrayImpl

All Implemented Interfaces:
  ArrayBufferView, Uint8Array, Uint8ClampedArray

    public final class Uint8ClampedArrayImpl
    extends Uint8ArrayImpl
    implements Uint8ClampedArray

Pure Java implementation of `Uint8ClampedArray`.

### Field Summary

### Fields inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

`arrayBuf, byteLength, byteOffset, USE_LITTLE_ENDIAN`

### Fields inherited from interface com.google.gwt.typedarrays.shared.Uint8Array

`BYTES_PER_ELEMENT`

### Constructor Summary

Constructors
Constructor and Description
`Uint8ClampedArrayImpl(ArrayBuffer buffer, int byteOffset, int byteLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `set(int index, int value)` Set one element in this view.
`Uint8ClampedArray` `subarray(int begin)` Create a new view from the same array, from `offset` to the end of this view.
`Uint8ClampedArray` `subarray(int begin, int end)` Create a new view from the same array, from `offset` to (but not including) `end` in this view.

### Methods inherited from class com.google.gwt.typedarrays.server.Uint8ArrayImpl

`get, length, set, set, set, set, set, set`

### Methods inherited from class com.google.gwt.typedarrays.server.ArrayBufferViewImpl

`buffer, byteLength, byteOffset, checkRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.typedarrays.shared.Uint8Array

`get, length, set, set, set, set, set, set`

### Methods inherited from interface com.google.gwt.typedarrays.shared.ArrayBufferView

`buffer, byteLength, byteOffset`

### Constructor Detail

#### Uint8ClampedArrayImpl

    public Uint8ClampedArrayImpl(ArrayBuffer buffer,
                                 int byteOffset,
                                 int byteLength)

Parameters:
  `buffer` -
  `byteOffset` -
  `byteLength` -

### Method Detail

#### set

    public void set(int index,
                    int value)

Description copied from interface: `Uint8Array`
Set one element in this view.

Specified by:
  `set` in interface `Uint8Array`
Overrides:
  `set` in class `Uint8ArrayImpl`

#### subarray

    public Uint8ClampedArray subarray(int begin)

Description copied from interface: `Uint8Array`
Create a new view from the same array, from `offset` to the end of this view. These offset is clamped to legal indices into this view, so it is not an error to specify an invalid index.

Specified by:
  `subarray` in interface `Uint8Array`
Specified by:
  `subarray` in interface `Uint8ClampedArray`
Overrides:
  `subarray` in class `Uint8ArrayImpl`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Uint8Array` instance

#### subarray

    public Uint8ClampedArray subarray(int begin,
                                      int end)

Description copied from interface: `Uint8Array`
Create a new view from the same array, from `offset` to (but not including) `end` in this view. These indices are clamped to legal indices into this view, so it is not an error to specify invalid indices.

Specified by:
  `subarray` in interface `Uint8Array`
Specified by:
  `subarray` in interface `Uint8ClampedArray`
Overrides:
  `subarray` in class `Uint8ArrayImpl`
Parameters:
  `begin` - offset into this view if non-negative; if negative, an index from the end of this view
  `end` - offset into this view if non-negative; if negative, an index from the end of this view
Returns:
  a new `Uint8Array` instance